<?php
    class Usuario {
        private $idUsuario;
        private $contrasena;
        private $rol;
        private $estadoUsuario;

        public function __construct($idUsuario, $contrasena, $rol, $estadoUsuario) {
            $this->idUsuario     = $idUsuario;
            $this->contrasena    = $contrasena;
            $this->rol           = $rol;
            $this->estadoUsuario = $estadoUsuario;
        }

        public function getIdUsuario()     { return $this->idUsuario; }
        public function getContrasena()    { return $this->contrasena; }
        public function getRol()           { return $this->rol; }
        public function getEstadoUsuario() { return $this->estadoUsuario; }
    }
?>